diff -Nru cdebootstrap-0.5.8/config/suites cdebootstrap-0.5.8ubuntu1/config/suites
--- cdebootstrap-0.5.8/config/suites	2010-10-10 14:15:05.000000000 +0200
+++ cdebootstrap-0.5.8ubuntu1/config/suites	2011-11-30 14:16:57.000000000 +0100
@@ -50,6 +50,14 @@
 Config: generic-ubuntu
 Keyring: ubuntu-archive-keyring.gpg
 
+Suite: oneiric
+Config: generic-ubuntu
+Keyring: ubuntu-archive-keyring.gpg
+
+Suite: precise
+Config: generic-ubuntu
+Keyring: ubuntu-archive-keyring.gpg
+
 Suite: oldstable
 Keyring: debian-archive-keyring.gpg
 
diff -Nru cdebootstrap-0.5.8/debian/changelog cdebootstrap-0.5.8ubuntu1/debian/changelog
--- cdebootstrap-0.5.8/debian/changelog	2011-07-26 22:30:25.000000000 +0200
+++ cdebootstrap-0.5.8ubuntu1/debian/changelog	2011-12-04 18:29:15.000000000 +0100
@@ -1,3 +1,15 @@
+cdebootstrap (0.5.8ubuntu1) precise; urgency=low
+
+  * Merge from debian unstable (LP: #884185).  Remaining changes:
+    - Add support for Ubuntu Oneiric and Precise in config/suites
+  * Add "-Wno-error=unused-result" at CFLAGS_* in debian/rules against FTBFS
+  * Drop changes:
+    - Fix FTBFS in src/check.c. Now in upstream (closes: #622056)
+    - build with -U_FORTIFY_SOURCE to fix FTBFS, caused by the Ubuntu toolchain
+    - Setting NO_PKG_MANGLE while building nested package is no longer required
+
+ -- Leo Iannacone <l3on@ubuntu.com>  Wed, 27 Jul 2011 05:30:14 +0000
+
 cdebootstrap (0.5.8) unstable; urgency=low
 
   * Support SHA1 checksums for release files. (closes: #614314)
@@ -12,6 +24,21 @@
 
  -- Bastian Blank <waldi@debian.org>  Tue, 26 Jul 2011 22:29:09 +0200
 
+cdebootstrap (0.5.7ubuntu2) oneiric; urgency=low
+
+  * Add support for Ubuntu Oneiric. (LP: #806089)
+  * Fix FTBFS. (closes: #622056)
+
+ -- Jean-Louis Dupond <jean-louis@dupond.be>  Tue, 05 Jul 2011 18:44:23 +0200
+
+cdebootstrap (0.5.7ubuntu1) natty; urgency=low
+
+  * Merge from debian unstable.  Remaining changes:
+    - set NO_PKG_MANGLE while building nested package
+    - build with -U_FORTIFY_SOURCE to fix FTBFS caused by the Ubuntu toolchain
+
+ -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Fri, 15 Oct 2010 08:53:42 +0300
+
 cdebootstrap (0.5.7) unstable; urgency=low
 
   * Support Debian Wheezy. (closes: #597460)
@@ -20,6 +47,14 @@
 
  -- Bastian Blank <waldi@debian.org>  Sun, 10 Oct 2010 13:50:51 +0000
 
+cdebootstrap (0.5.6ubuntu1) maverick; urgency=low
+
+  * Merge from debian unstable (LP: #605949). Remaining changes:
+    - set NO_PKG_MANGLE while building nested package
+    - build with -U_FORTIFY_SOURCE to fix FTBFS caused by the Ubuntu toolchain
+
+ -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 15 Jul 2010 21:50:06 +0530
+
 cdebootstrap (0.5.6) unstable; urgency=low
 
   * Don't use noreturn attribute, it is broken somehow. (closes: #587526)
@@ -27,18 +62,48 @@
 
  -- Bastian Blank <waldi@debian.org>  Mon, 12 Jul 2010 11:45:01 +0200
 
+cdebootstrap (0.5.5ubuntu2) lucid; urgency=low
+
+  * Rebuild statically linked binary against recent libc.
+
+ -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Apr 2010 22:28:18 +0000
+
+cdebootstrap (0.5.5ubuntu1) karmic; urgency=low
+
+  * Merge from Debian unstable, remaining Ubuntu changes:
+    - set NO_PKG_MANGLE while building nested package
+    - build with -U_FORTIFY_SOURCE to fix FTBFS caused by the Ubuntu toolchain
+
+ -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 24 May 2009 20:33:07 +0200
+
 cdebootstrap (0.5.5) unstable; urgency=low
 
   * Ignore SIGPIPE. (closes: #524538)
 
  -- Bastian Blank <waldi@debian.org>  Wed, 13 May 2009 16:26:03 +0000
 
+cdebootstrap (0.5.4ubuntu1) jaunty; urgency=low
+
+  * Merge from Debian unstable, remaining Ubuntu changes:
+    - set NO_PKG_MANGLE while building nested package
+    - build with -U_FORTIFY_SOURCE to fix FTBFS caused by the Ubuntu toolchain
+
+ -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 31 Jan 2009 15:48:47 +0100
+
 cdebootstrap (0.5.4) unstable; urgency=low
 
   * Add Debian Squeeze to list of known dists. (closes: #513490)
 
  -- Bastian Blank <waldi@debian.org>  Fri, 30 Jan 2009 13:07:17 +0100
 
+cdebootstrap (0.5.3ubuntu1) intrepid; urgency=low
+
+  * Merge from debian unstable, remaining changes:
+    - Set NO_PKG_MANGLE while building nested package.
+  * Compile with -U_FORTIFY_SOURCE to fix FTBFS with Ubuntu toolchain.
+
+ -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 02 Aug 2008 10:02:11 +0200
+
 cdebootstrap (0.5.3) unstable; urgency=low
 
   * Fix type in foreign mode. (closes: #486898)
@@ -47,6 +112,15 @@
 
  -- Bastian Blank <waldi@debian.org>  Sun, 20 Jul 2008 09:23:00 +0200
 
+cdebootstrap (0.5.2ubuntu1) intrepid; urgency=low
+
+  * Merge from Debian unstable, remaining Ubuntu changes:
+    - Set NO_PKG_MANGLE while building nested package
+    - Add Intrepid to known distributions.
+    - Update maintainer field in debian/control
+
+ -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 22 May 2008 08:12:41 +0000
+
 cdebootstrap (0.5.2) unstable; urgency=low
 
   * Drop explicit installation of base-passwd.
@@ -55,6 +129,17 @@
 
  -- Bastian Blank <waldi@debian.org>  Fri, 09 May 2008 21:42:26 +0200
 
+cdebootstrap (0.5.1ubuntu1) intrepid; urgency=low
+
+  * Merge from Debian unstable (Fix LP: #223442).
+    Remaining Ubuntu changes:
+    - Set NO_PKG_MANGLE while building nested package
+    - Update maintainer field in debian/control
+  * config/suites:
+    - Add Intrepid to known distributions.
+
+ -- Luca Falavigna <dktrkranz@ubuntu.com>  Mon, 05 May 2008 11:47:32 +0200
+
 cdebootstrap (0.5.1) unstable; urgency=low
 
   * Fix some devices.
@@ -120,6 +205,15 @@
 
  -- Bastian Blank <waldi@debian.org>  Sat, 23 Feb 2008 19:39:05 +0000
 
+cdebootstrap (0.4.4ubuntu1) hardy; urgency=low
+
+  * Merge from Debian unstable. Fix LP: #178735
+    Remaining Ubuntu changes:
+    - Set NO_PKG_MANGLE while building nested package
+    - Update maintainer field in debian/control
+
+ -- Luca Falavigna <dktrkranz@ubuntu.com>  Mon, 14 Jan 2008 10:29:48 +0100
+
 cdebootstrap (0.4.4) unstable; urgency=low
 
   * Use policy-rc.d instead of diverting start-stop-daemon.
@@ -128,6 +222,14 @@
 
  -- Bastian Blank <waldi@debian.org>  Sun, 13 Jan 2008 16:52:44 +0000
 
+cdebootstrap (0.4.3ubuntu1) gutsy; urgency=low
+
+  * Merge from Debian unstable, remaining changes:
+    - Set NO_PKG_MANGLE while building nested package
+    - Update maintainer field in debian/control
+
+ -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 16 May 2007 00:36:03 +0100
+
 cdebootstrap (0.4.3) unstable; urgency=low
 
   * Add debian-archive-keyring to depends.
@@ -138,6 +240,14 @@
 
  -- Bastian Blank <waldi@debian.org>  Tue, 15 May 2007 15:04:38 +0000
 
+cdebootstrap (0.4.2ubuntu1) gutsy; urgency=low
+
+  * Merge from debian unstable, remaining changes:
+    - Set NO_PKG_MANGLE while building nested package
+    - Update maintainer field in debian/control
+
+ -- Luca Falavigna <dktrkranz@ubuntu.com>  Mon, 14 May 2007 21:43:18 -0400
+
 cdebootstrap (0.4.2) unstable; urgency=low
 
   * Support exclude of packages. (closes: #398845)
@@ -164,6 +274,14 @@
 
  -- Bastian Blank <waldi@debian.org>  Fri, 11 May 2007 16:21:45 +0000
 
+cdebootstrap (0.3.19ubuntu1) gutsy; urgency=low
+
+  * Merge from Debian unstable, remaining Ubuntu changes:
+    - Set NO_PKG_MANGLE while building nested package
+    - Update maintainer field in debian/control
+
+ -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri,  4 May 2007 20:27:23 +0200
+
 cdebootstrap (0.3.19) unstable; urgency=low
 
   * Really fix location of config files.
@@ -191,6 +309,13 @@
 
  -- Bastian Blank <waldi@debian.org>  Mon,  9 Apr 2007 15:29:37 +0000
 
+cdebootstrap (0.3.15ubuntu1) feisty; urgency=low
+
+  * helper/Makefile.am, helper/Makefile.in: Set NO_PKG_MANGLE while building
+    nested packages so that pkgstriptranslations doesn't kick in.
+
+ -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Feb 2007 18:09:34 +0000
+
 cdebootstrap (0.3.15) unstable; urgency=low
 
   * debian/control:
diff -Nru cdebootstrap-0.5.8/debian/control cdebootstrap-0.5.8ubuntu1/debian/control
--- cdebootstrap-0.5.8/debian/control	2011-07-26 22:18:38.000000000 +0200
+++ cdebootstrap-0.5.8ubuntu1/debian/control	2011-11-30 14:14:24.000000000 +0100
@@ -1,7 +1,8 @@
 Source: cdebootstrap
 Section: admin
 Priority: optional
-Maintainer: Bastian Blank <waldi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bastian Blank <waldi@debian.org>
 Build-Depends: debhelper (>> 7), libdebian-installer4-dev (>= 0.44), libdebconfclient0-dev (>= 0.40), autotools-dev, libbz2-dev, liblzma-dev, zlib1g-dev
 Standards-Version: 3.9.0
 
diff -Nru cdebootstrap-0.5.8/debian/rules cdebootstrap-0.5.8ubuntu1/debian/rules
--- cdebootstrap-0.5.8/debian/rules	2011-07-26 00:09:41.000000000 +0200
+++ cdebootstrap-0.5.8ubuntu1/debian/rules	2011-12-04 15:48:44.000000000 +0100
@@ -9,9 +9,9 @@
 
 VERSION  := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\),\1,p')
 
-CFLAGS_DEB = -Wall -W -Werror -ggdb
-CFLAGS_STATIC = -Wall -W -Werror
-CFLAGS_UDEB = -Wall -W -Werror
+CFLAGS_DEB = -Wall -W -Werror -ggdb -Wno-error=unused-result
+CFLAGS_STATIC = -Wall -W -Werror -Wno-error=unused-result
+CFLAGS_UDEB = -Wall -W -Werror -Wno-error=unused-result
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS_DEB += -O0